require('yanky').setup()
vim.api.nvim_set_keymap('n', 'p', '<Plug>(YankyPutAfter)', {})
vim.api.nvim_set_keymap('n', 'P', '<Plug>(YankyPutBefore)', {})
vim.api.nvim_set_keymap('x', 'p', '<Plug>(YankyPutAfter)', {})
vim.api.nvim_set_keymap('x', 'P', '<Plug>(YankyPutBefore)', {})
vim.api.nvim_set_keymap('n', 'gp', '<Plug>(YankyGPutAfter)', {})
vim.api.nvim_set_keymap('n', 'gP', '<Plug>(YankyGPutBefore)', {})
vim.api.nvim_set_keymap('x', 'gp', '<Plug>(YankyGPutAfter)', {})
vim.api.nvim_set_keymap('x', 'gP', '<Plug>(YankyGPutBefore)', {})
vim.keymap.set("n", "<c-n>", "<Plug>(YankyCycleForward)", {})
vim.keymap.set("n", "<c-p>", "<Plug>(YankyCycleBackward)", {})

require("telescope").load_extension('yank_history')
require('legendary').keymaps(
  {
    {
      '<c-n>',
      '<Plug>(YankyCycleForward)',
      description = 'Yanky cycle forward',
    },
    {
      '<c-p>',
      '<Plug>(YankyCycleBackward)',
      description = 'Yanky cycle backward',
    },
  }
)
